/*	AudioCodecs.h

	definition of the symbolic names for the standard Audio Codecs numbers used in SCCP (Skinny)

*/

#pragma once

enum Media_Payload_Types {
	Media_Payload_AutoDetect			=	0,
	Media_Payload_NonStandard			=   1,
	Media_Payload_G711Alaw64k			=   2,
	Media_Payload_G711Alaw56k			=   3,
	Media_Payload_G711Ulaw64k			=   4,
	Media_Payload_G711Ulaw56k			=   5,
	Media_Payload_G722_64k				=   6,
	Media_Payload_G722_56k				=   7,
	Media_Payload_G722_48k				=   8,
	Media_Payload_G7231					=   9,
	Media_Payload_G728					=  10,
	Media_Payload_G729					=  11,
	Media_Payload_G729AnnexA			=  12,
	Media_Payload_Is11172AudioCap		=  13,
	Media_Payload_Is13818AudioCap		=  14,
	Media_Payload_ACy_g729AASSn			=  15,
	Media_Payload_Data64				=  32,
	Media_Payload_Data56				=  33,
	Media_Payload_GSM					=  80,
	Media_Payload_ActiveVoice			=  81
};
